package com.sunhero.example.module.sl.entity;

package ..deTemp.1749297656860;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("sl_st_stbprp_b")
@ApiModel(value = "SlStStbprpB对象", description = "测站基本信息表")
public class SlStStbprpB implements Serializable {
  private static final long serialVersionUID = 1L;
  
  @ApiModelProperty("主键id")
  @TableId(value = "id", type = IdType.AUTO)
  private Long id;
  
  @ApiModelProperty("测站编码")
  @TableField("stcd")
  private String stcd;
  
  @ApiModelProperty("测站名称")
  @TableField("stnm")
  private String stnm;
  
  @ApiModelProperty("河流名称")
  @TableField("rvnm")
  private String rvnm;
  
  @ApiModelProperty("水系名称")
  @TableField("hnnm")
  private String hnnm;
  
  @ApiModelProperty("流域名称")
  @TableField("bsnm")
  private String bsnm;
  
  @ApiModelProperty("经度—计量单位(。)")
  @TableField("lgtd")
  private BigDecimal lgtd;
  
  @ApiModelProperty("纬度—计量单位(。)")
  @TableField("lttd")
  private BigDecimal lttd;
  
  @ApiModelProperty("站址")
  @TableField("stlc")
  private String stlc;
  
  @ApiModelProperty("行政区划码")
  @TableField("addvcd")
  private String addvcd;
  
  @ApiModelProperty("基面名称")
  @TableField("dtmnm")
  private String dtmnm;
  
  @ApiModelProperty("基面高程-计量单位(m)")
  @TableField("dtmel")
  private BigDecimal dtmel;
  
  @ApiModelProperty("基面修正值-计量单位(m)")
  @TableField("dtpr")
  private BigDecimal dtpr;
  
  @ApiModelProperty("站类：MM气象站 PP雨量站 RR水库水文站 ZQ河道水文站  ZG地下水站  ZZ河道水位站")
  @TableField("sttp")
  private String sttp;
  
  @ApiModelProperty("报汛等级")
  @TableField("frgrd")
  private String frgrd;
  
  @ApiModelProperty("建站年月")
  @TableField("esstym")
  private String esstym;
  
  @ApiModelProperty("始报年月")
  @TableField("bgfrym")
  private String bgfrym;
  
  @ApiModelProperty("隶属行业单位")
  @TableField("atcunit")
  private String atcunit;
  
  @ApiModelProperty("信息管理单位")
  @TableField("admauth")
  private String admauth;
  
  @ApiModelProperty("交换管理单位")
  @TableField("locality")
  private String locality;
  
  @ApiModelProperty("测站岸别")
  @TableField("stbk")
  private String stbk;
  
  @ApiModelProperty("测站方位—计量单位(。)")
  @TableField("stazt")
  private BigDecimal stazt;
  
  @ApiModelProperty("至河口距离—计量单位(km)")
  @TableField("dstrvm")
  private BigDecimal dstrvm;
  
  @ApiModelProperty("积水面积-计量单位(km2)")
  @TableField("drna")
  private BigDecimal drna;
  
  @ApiModelProperty("拼音码")
  @TableField("phcd")
  private String phcd;
  
  @ApiModelProperty("启用标志")
  @TableField("usfl")
  private String usfl;
  
  @ApiModelProperty("备注")
  @TableField("comments")
  private String comments;
  
  @ApiModelProperty("时间搓")
  @TableField("moditime")
  private Date moditime;
  
  @ApiModelProperty("录入时间")
  @TableField("create_time")
  private Date createTime;
  
  public void setId(Long id) {
    this.id = id;
  }
  
  public void setStcd(String stcd) {
    this.stcd = stcd;
  }
  
  public void setStnm(String stnm) {
    this.stnm = stnm;
  }
  
  public void setRvnm(String rvnm) {
    this.rvnm = rvnm;
  }
  
  public void setHnnm(String hnnm) {
    this.hnnm = hnnm;
  }
  
  public void setBsnm(String bsnm) {
    this.bsnm = bsnm;
  }
  
  public void setLgtd(BigDecimal lgtd) {
    this.lgtd = lgtd;
  }
  
  public void setLttd(BigDecimal lttd) {
    this.lttd = lttd;
  }
  
  public void setStlc(String stlc) {
    this.stlc = stlc;
  }
  
  public void setAddvcd(String addvcd) {
    this.addvcd = addvcd;
  }
  
  public void setDtmnm(String dtmnm) {
    this.dtmnm = dtmnm;
  }
  
  public void setDtmel(BigDecimal dtmel) {
    this.dtmel = dtmel;
  }
  
  public void setDtpr(BigDecimal dtpr) {
    this.dtpr = dtpr;
  }
  
  public void setSttp(String sttp) {
    this.sttp = sttp;
  }
  
  public void setFrgrd(String frgrd) {
    this.frgrd = frgrd;
  }
  
  public void setEsstym(String esstym) {
    this.esstym = esstym;
  }
  
  public void setBgfrym(String bgfrym) {
    this.bgfrym = bgfrym;
  }
  
  public void setAtcunit(String atcunit) {
    this.atcunit = atcunit;
  }
  
  public void setAdmauth(String admauth) {
    this.admauth = admauth;
  }
  
  public void setLocality(String locality) {
    this.locality = locality;
  }
  
  public void setStbk(String stbk) {
    this.stbk = stbk;
  }
  
  public void setStazt(BigDecimal stazt) {
    this.stazt = stazt;
  }
  
  public void setDstrvm(BigDecimal dstrvm) {
    this.dstrvm = dstrvm;
  }
  
  public void setDrna(BigDecimal drna) {
    this.drna = drna;
  }
  
  public void setPhcd(String phcd) {
    this.phcd = phcd;
  }
  
  public void setUsfl(String usfl) {
    this.usfl = usfl;
  }
  
  public void setComments(String comments) {
    this.comments = comments;
  }
  
  public void setModitime(Date moditime) {
    this.moditime = moditime;
  }
  
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }
  
  public boolean equals(Object o) {
    if (o == this)
      return true; 
    if (!(o instanceof com.sunhero.example.module.sl.entity.SlStStbprpB))
      return false; 
    com.sunhero.example.module.sl.entity.SlStStbprpB other = (com.sunhero.example.module.sl.entity.SlStStbprpB)o;
    if (!other.canEqual(this))
      return false; 
    Object this$id = getId(), other$id = other.getId();
    if ((this$id == null) ? (other$id != null) : !this$id.equals(other$id))
      return false; 
    Object this$stcd = getStcd(), other$stcd = other.getStcd();
    if ((this$stcd == null) ? (other$stcd != null) : !this$stcd.equals(other$stcd))
      return false; 
    Object this$stnm = getStnm(), other$stnm = other.getStnm();
    if ((this$stnm == null) ? (other$stnm != null) : !this$stnm.equals(other$stnm))
      return false; 
    Object this$rvnm = getRvnm(), other$rvnm = other.getRvnm();
    if ((this$rvnm == null) ? (other$rvnm != null) : !this$rvnm.equals(other$rvnm))
      return false; 
    Object this$hnnm = getHnnm(), other$hnnm = other.getHnnm();
    if ((this$hnnm == null) ? (other$hnnm != null) : !this$hnnm.equals(other$hnnm))
      return false; 
    Object this$bsnm = getBsnm(), other$bsnm = other.getBsnm();
    if ((this$bsnm == null) ? (other$bsnm != null) : !this$bsnm.equals(other$bsnm))
      return false; 
    Object this$lgtd = getLgtd(), other$lgtd = other.getLgtd();
    if ((this$lgtd == null) ? (other$lgtd != null) : !this$lgtd.equals(other$lgtd))
      return false; 
    Object this$lttd = getLttd(), other$lttd = other.getLttd();
    if ((this$lttd == null) ? (other$lttd != null) : !this$lttd.equals(other$lttd))
      return false; 
    Object this$stlc = getStlc(), other$stlc = other.getStlc();
    if ((this$stlc == null) ? (other$stlc != null) : !this$stlc.equals(other$stlc))
      return false; 
    Object this$addvcd = getAddvcd(), other$addvcd = other.getAddvcd();
    if ((this$addvcd == null) ? (other$addvcd != null) : !this$addvcd.equals(other$addvcd))
      return false; 
    Object this$dtmnm = getDtmnm(), other$dtmnm = other.getDtmnm();
    if ((this$dtmnm == null) ? (other$dtmnm != null) : !this$dtmnm.equals(other$dtmnm))
      return false; 
    Object this$dtmel = getDtmel(), other$dtmel = other.getDtmel();
    if ((this$dtmel == null) ? (other$dtmel != null) : !this$dtmel.equals(other$dtmel))
      return false; 
    Object this$dtpr = getDtpr(), other$dtpr = other.getDtpr();
    if ((this$dtpr == null) ? (other$dtpr != null) : !this$dtpr.equals(other$dtpr))
      return false; 
    Object this$sttp = getSttp(), other$sttp = other.getSttp();
    if ((this$sttp == null) ? (other$sttp != null) : !this$sttp.equals(other$sttp))
      return false; 
    Object this$frgrd = getFrgrd(), other$frgrd = other.getFrgrd();
    if ((this$frgrd == null) ? (other$frgrd != null) : !this$frgrd.equals(other$frgrd))
      return false; 
    Object this$esstym = getEsstym(), other$esstym = other.getEsstym();
    if ((this$esstym == null) ? (other$esstym != null) : !this$esstym.equals(other$esstym))
      return false; 
    Object this$bgfrym = getBgfrym(), other$bgfrym = other.getBgfrym();
    if ((this$bgfrym == null) ? (other$bgfrym != null) : !this$bgfrym.equals(other$bgfrym))
      return false; 
    Object this$atcunit = getAtcunit(), other$atcunit = other.getAtcunit();
    if ((this$atcunit == null) ? (other$atcunit != null) : !this$atcunit.equals(other$atcunit))
      return false; 
    Object this$admauth = getAdmauth(), other$admauth = other.getAdmauth();
    if ((this$admauth == null) ? (other$admauth != null) : !this$admauth.equals(other$admauth))
      return false; 
    Object this$locality = getLocality(), other$locality = other.getLocality();
    if ((this$locality == null) ? (other$locality != null) : !this$locality.equals(other$locality))
      return false; 
    Object this$stbk = getStbk(), other$stbk = other.getStbk();
    if ((this$stbk == null) ? (other$stbk != null) : !this$stbk.equals(other$stbk))
      return false; 
    Object this$stazt = getStazt(), other$stazt = other.getStazt();
    if ((this$stazt == null) ? (other$stazt != null) : !this$stazt.equals(other$stazt))
      return false; 
    Object this$dstrvm = getDstrvm(), other$dstrvm = other.getDstrvm();
    if ((this$dstrvm == null) ? (other$dstrvm != null) : !this$dstrvm.equals(other$dstrvm))
      return false; 
    Object this$drna = getDrna(), other$drna = other.getDrna();
    if ((this$drna == null) ? (other$drna != null) : !this$drna.equals(other$drna))
      return false; 
    Object this$phcd = getPhcd(), other$phcd = other.getPhcd();
    if ((this$phcd == null) ? (other$phcd != null) : !this$phcd.equals(other$phcd))
      return false; 
    Object this$usfl = getUsfl(), other$usfl = other.getUsfl();
    if ((this$usfl == null) ? (other$usfl != null) : !this$usfl.equals(other$usfl))
      return false; 
    Object this$comments = getComments(), other$comments = other.getComments();
    if ((this$comments == null) ? (other$comments != null) : !this$comments.equals(other$comments))
      return false; 
    Object this$moditime = getModitime(), other$moditime = other.getModitime();
    if ((this$moditime == null) ? (other$moditime != null) : !this$moditime.equals(other$moditime))
      return false; 
    Object this$createTime = getCreateTime(), other$createTime = other.getCreateTime();
    return !((this$createTime == null) ? (other$createTime != null) : !this$createTime.equals(other$createTime));
  }
  
  protected boolean canEqual(Object other) {
    return other instanceof com.sunhero.example.module.sl.entity.SlStStbprpB;
  }
  
  public int hashCode() {
    int PRIME = 59;
    result = 1;
    Object $id = getId();
    result = result * 59 + (($id == null) ? 43 : $id.hashCode());
    Object $stcd = getStcd();
    result = result * 59 + (($stcd == null) ? 43 : $stcd.hashCode());
    Object $stnm = getStnm();
    result = result * 59 + (($stnm == null) ? 43 : $stnm.hashCode());
    Object $rvnm = getRvnm();
    result = result * 59 + (($rvnm == null) ? 43 : $rvnm.hashCode());
    Object $hnnm = getHnnm();
    result = result * 59 + (($hnnm == null) ? 43 : $hnnm.hashCode());
    Object $bsnm = getBsnm();
    result = result * 59 + (($bsnm == null) ? 43 : $bsnm.hashCode());
    Object $lgtd = getLgtd();
    result = result * 59 + (($lgtd == null) ? 43 : $lgtd.hashCode());
    Object $lttd = getLttd();
    result = result * 59 + (($lttd == null) ? 43 : $lttd.hashCode());
    Object $stlc = getStlc();
    result = result * 59 + (($stlc == null) ? 43 : $stlc.hashCode());
    Object $addvcd = getAddvcd();
    result = result * 59 + (($addvcd == null) ? 43 : $addvcd.hashCode());
    Object $dtmnm = getDtmnm();
    result = result * 59 + (($dtmnm == null) ? 43 : $dtmnm.hashCode());
    Object $dtmel = getDtmel();
    result = result * 59 + (($dtmel == null) ? 43 : $dtmel.hashCode());
    Object $dtpr = getDtpr();
    result = result * 59 + (($dtpr == null) ? 43 : $dtpr.hashCode());
    Object $sttp = getSttp();
    result = result * 59 + (($sttp == null) ? 43 : $sttp.hashCode());
    Object $frgrd = getFrgrd();
    result = result * 59 + (($frgrd == null) ? 43 : $frgrd.hashCode());
    Object $esstym = getEsstym();
    result = result * 59 + (($esstym == null) ? 43 : $esstym.hashCode());
    Object $bgfrym = getBgfrym();
    result = result * 59 + (($bgfrym == null) ? 43 : $bgfrym.hashCode());
    Object $atcunit = getAtcunit();
    result = result * 59 + (($atcunit == null) ? 43 : $atcunit.hashCode());
    Object $admauth = getAdmauth();
    result = result * 59 + (($admauth == null) ? 43 : $admauth.hashCode());
    Object $locality = getLocality();
    result = result * 59 + (($locality == null) ? 43 : $locality.hashCode());
    Object $stbk = getStbk();
    result = result * 59 + (($stbk == null) ? 43 : $stbk.hashCode());
    Object $stazt = getStazt();
    result = result * 59 + (($stazt == null) ? 43 : $stazt.hashCode());
    Object $dstrvm = getDstrvm();
    result = result * 59 + (($dstrvm == null) ? 43 : $dstrvm.hashCode());
    Object $drna = getDrna();
    result = result * 59 + (($drna == null) ? 43 : $drna.hashCode());
    Object $phcd = getPhcd();
    result = result * 59 + (($phcd == null) ? 43 : $phcd.hashCode());
    Object $usfl = getUsfl();
    result = result * 59 + (($usfl == null) ? 43 : $usfl.hashCode());
    Object $comments = getComments();
    result = result * 59 + (($comments == null) ? 43 : $comments.hashCode());
    Object $moditime = getModitime();
    result = result * 59 + (($moditime == null) ? 43 : $moditime.hashCode());
    Object $createTime = getCreateTime();
    return result * 59 + (($createTime == null) ? 43 : $createTime.hashCode());
  }
  
  public String toString() {
    return "SlStStbprpB(id=" + getId() + ", stcd=" + getStcd() + ", stnm=" + getStnm() + ", rvnm=" + getRvnm() + ", hnnm=" + getHnnm() + ", bsnm=" + getBsnm() + ", lgtd=" + getLgtd() + ", lttd=" + getLttd() + ", stlc=" + getStlc() + ", addvcd=" + getAddvcd() + ", dtmnm=" + getDtmnm() + ", dtmel=" + getDtmel() + ", dtpr=" + getDtpr() + ", sttp=" + getSttp() + ", frgrd=" + getFrgrd() + ", esstym=" + getEsstym() + ", bgfrym=" + getBgfrym() + ", atcunit=" + getAtcunit() + ", admauth=" + getAdmauth() + ", locality=" + getLocality() + ", stbk=" + getStbk() + ", stazt=" + getStazt() + ", dstrvm=" + getDstrvm() + ", drna=" + getDrna() + ", phcd=" + getPhcd() + ", usfl=" + getUsfl() + ", comments=" + getComments() + ", moditime=" + getModitime() + ", createTime=" + getCreateTime() + ")";
  }
  
  public Long getId() {
    return this.id;
  }
  
  public String getStcd() {
    return this.stcd;
  }
  
  public String getStnm() {
    return this.stnm;
  }
  
  public String getRvnm() {
    return this.rvnm;
  }
  
  public String getHnnm() {
    return this.hnnm;
  }
  
  public String getBsnm() {
    return this.bsnm;
  }
  
  public BigDecimal getLgtd() {
    return this.lgtd;
  }
  
  public BigDecimal getLttd() {
    return this.lttd;
  }
  
  public String getStlc() {
    return this.stlc;
  }
  
  public String getAddvcd() {
    return this.addvcd;
  }
  
  public String getDtmnm() {
    return this.dtmnm;
  }
  
  public BigDecimal getDtmel() {
    return this.dtmel;
  }
  
  public BigDecimal getDtpr() {
    return this.dtpr;
  }
  
  public String getSttp() {
    return this.sttp;
  }
  
  public String getFrgrd() {
    return this.frgrd;
  }
  
  public String getEsstym() {
    return this.esstym;
  }
  
  public String getBgfrym() {
    return this.bgfrym;
  }
  
  public String getAtcunit() {
    return this.atcunit;
  }
  
  public String getAdmauth() {
    return this.admauth;
  }
  
  public String getLocality() {
    return this.locality;
  }
  
  public String getStbk() {
    return this.stbk;
  }
  
  public BigDecimal getStazt() {
    return this.stazt;
  }
  
  public BigDecimal getDstrvm() {
    return this.dstrvm;
  }
  
  public BigDecimal getDrna() {
    return this.drna;
  }
  
  public String getPhcd() {
    return this.phcd;
  }
  
  public String getUsfl() {
    return this.usfl;
  }
  
  public String getComments() {
    return this.comments;
  }
  
  public Date getModitime() {
    return this.moditime;
  }
  
  public Date getCreateTime() {
    return this.createTime;
  }
}
